## krdc 4.13.0

=== CMakeLists.txt ===
project(krdc)

if(NOT INSIDE_KDENETWORK)
    message("Not building inside KDENetwork, loading KDE CMake Macros.")

    find_package(KDE4 REQUIRED)

    include(KDE4Defaults)
    include(MacroLibrary)

    include(CheckIncludeFile)
    include(CheckIncludeFiles)
    include(CheckSymbolExists)
    include(CheckFunctionExists)
    include(CheckLibraryExists)
    include(CheckPrototypeExists)
    include(CheckTypeSize)

    set(CMAKE_REQUIRED_DEFINITIONS ${_KDE4_PLATFORM_DEFINITIONS})
    if(WIN32)
       set(CMAKE_REQUIRED_LIBRARIES ${KDEWIN32_LIBRARIES})
       set(CMAKE_REQUIRED_INCLUDES  ${KDEWIN32_INCLUDES})
    endif(WIN32)
    add_definitions(${QT_DEFINITIONS} ${QT_QTDBUS_DEFINITIONS} ${KDE4_DEFINITIONS})
    add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
    include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES})
endif(NOT INSIDE_KDENETWORK)

set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH})

macro_optional_find_package(LibVNCServer)
macro_log_feature(LIBVNCSERVER_FOUND "libvncserver" "VNC server / client library" "http://libvncserver.sourceforge.net/" FALSE "0.9.8" "Needed to build VNC client support in KRDC")

FIND_PROGRAM(FREERDP_EXECUTABLE xfreerdp)
if(FREERDP_EXECUTABLE)
    set(FREERDP_EXECUTABLE_FOUND true)
endif(FREERDP_EXECUTABLE)
macro_log_feature(FREERDP_EXECUTABLE_FOUND "freerdp" "A free Remote Desktop Protocol (RDP) Implementation" "http://www.freerdp.com" FALSE "1.0.2" "Needed for RDP support in KRDC (at runtime)")

# NX support is not ready for KDE 4.2; disabled (uwolfer)
# macro_optional_find_package(LibNXCL)
# macro_log_feature(LIBNXCL_FOUND "libnxcl" "NX X compression client library" "http://svn.berlios.de/svnroot/repos/freenx/trunk/freenx-client/nxcl/" FALSE "1.0" "Needed to build Krdc with NX support")

macro_optional_find_package(TelepathyQt4)
macro_log_feature(TelepathyQt4_FOUND "telepathy-qt" "Telepathy Qt Bindings" "http://telepathy.freedesktop.org" FALSE "0.9" "Needed to build Telepathy Tubes support.")

if(TelepathyQt4_FOUND)
    add_definitions(-DTELEPATHY_SUPPORT)
    include_directories(${TELEPATHY_QT4_INCLUDE_DIR})
endif()

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/core/
    ${CMAKE_CURRENT_BINARY_DIR}/core/
    ${CMAKE_CURRENT_BINARY_DIR}
)

add_subdirectory(core)
add_subdirectory(vnc)
add_subdirectory(nx)
add_subdirectory(rdp)
add_subdirectory(test)
add_subdirectory(doc)

if(TelepathyQt4_FOUND)
    add_subdirectory(krdc_approver)
endif()

add_definitions(-DKDE_DEFAULT_DEBUG_AREA=5010)
add_definitions(-DBUILD_ZEROCONF)

set(krdc_SRCS
    config/hostpreferenceslist.cpp
    config/preferencesdialog.cpp
    floatingtoolbar.cpp
    bookmarkmanager.cpp
    connectiondelegate.cpp
    remotedesktopsmodel.cpp
    systemtrayicon.cpp
    tabbedviewwidget.cpp
    mainwindow.cpp
    main.cpp
)

if(TelepathyQt4_FOUND)
    set(krdc_SRCS ${krdc_SRCS}
        tubesmanager.cpp
    )
endif()

kde4_add_ui_files(krdc_SRCS
    config/general.ui
)

kde4_add_app_icon(krdc_SRCS "${KDE4_INSTALL_DIR}/share/icons/oxygen/*/apps/krdc.png")

kde4_add_executable(krdc ${krdc_SRCS})

target_link_libraries(krdc
    ${KDE4_KFILE_LIBS}
    ${KDE4_KIO_LIBS}
    ${KDE4_KNOTIFYCONFIG_LIBS}
    ${KDE4_KCMUTILS_LIBS}
    krdccore
)

if(TelepathyQt4_FOUND)
    target_link_libraries(krdc
        ${TELEPATHY_QT4_LIBRARIES}
    )
endif()

target_link_libraries(krdc ${KDE4_KDNSSD_LIBS})

install(TARGETS krdc ${INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES krdcui.rc DESTINATION ${DATA_INSTALL_DIR}/krdc)
install(PROGRAMS krdc.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
install(FILES pointcursor.png pointcursormask.png DESTINATION ${DATA_INSTALL_DIR}/krdc/pics)

if(TelepathyQt4_FOUND)
    configure_file(org.freedesktop.Telepathy.Client.krdc_rfb_handler.service.in
                    ${CMAKE_CURRENT_BINARY_DIR}/org.freedesktop.Telepathy.Client.krdc_rfb_handler.service)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.freedesktop.Telepathy.Client.krdc_rfb_handler.service
            DESTINATION ${DBUS_SERVICES_INSTALL_DIR})

    install(FILES krdc_rfb_handler.client DESTINATION ${SHARE_INSTALL_PREFIX}/telepathy/clients/)
endif()

if(NOT INSIDE_KDENETWORK)
    macro_display_feature_log()
endif(NOT INSIDE_KDENETWORK)

=== rdp/CMakeLists.txt ===

if(Q_WS_X11)
    set(HAVE_XFREERDP true)
endif(Q_WS_X11)

if(HAVE_XFREERDP)
    add_definitions(-DKDE_DEFAULT_DEBUG_AREA=5012)

    include_directories(
        ${CMAKE_CURRENT_BINARY_DIR}
    )

    set(rdpplugin_SRCS
        rdphostpreferences.cpp
        rdpviewfactory.cpp
        rdpview.cpp
    )

    kde4_add_ui_files(rdpplugin_SRCS
        rdppreferences.ui
    )

    kde4_add_plugin(krdc_rdpplugin ${rdpplugin_SRCS})

    target_link_libraries(krdc_rdpplugin 
        ${KDE4_KDECORE_LIBS}
        ${KDE4_KDEUI_LIBS}
        krdccore
    )

    set(kcm_krdc_rdpplugin_SRCS
        rdppreferences.cpp
    )

    kde4_add_plugin(kcm_krdc_rdpplugin ${kcm_krdc_rdpplugin_SRCS})

    target_link_libraries(kcm_krdc_rdpplugin
        ${KDE4_KDEUI_LIBS}
        krdccore
    )

    add_dependencies(kcm_krdc_rdpplugin krdc_rdpplugin)

    install(TARGETS kcm_krdc_rdpplugin DESTINATION ${PLUGIN_INSTALL_DIR})
    install(TARGETS krdc_rdpplugin DESTINATION ${PLUGIN_INSTALL_DIR})

    install(FILES krdc_rdp.desktop DESTINATION ${SERVICES_INSTALL_DIR})
    install(FILES krdc_rdp_config.desktop DESTINATION ${SERVICES_INSTALL_DIR})

    install(FILES rdp.protocol DESTINATION ${SERVICES_INSTALL_DIR})
    install(FILES smb2rdc.desktop DESTINATION ${SERVICES_INSTALL_DIR}/ServiceMenus)
endif(HAVE_XFREERDP)

## krdc 4.11.2

=== debian/changelog ===
krdc (4:4.11.2-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Sep 2013 14:36:11 +0100

krdc (4:4.11.1-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release.

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 06 Sep 2013 22:29:26 +0100

krdc (4:4.11.0-0ubuntu1) saucy; urgency=low

  [ Howard Chan ]
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Aug 2013 00:25:03 +0100

krdc (4:4.10.97-0ubuntu1) saucy; urgency=low

  * New upstream RC 2 release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 26 Jul 2013 19:46:44 +0100

krdc (4:4.10.95-0ubuntu1) saucy; urgency=low

  * New upstream RC release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 19 Jul 2013 12:32:54 +0000

krdc (4:4.10.90-0ubuntu1) saucy; urgency=low

  [ Jonathan Riddell ]
  * dbg package depends not suggests main package

  [ Michał Zając ]
  * New upstream beta release

  [ Philip Muškovac ]
  * Debug package depends on = binary:Version of main package 

 -- Michał Zając <quintasan@kubuntu.org>  Fri, 28 Jun 2013 18:20:53 +0100

krdc (4:4.10.80-0ubuntu1) saucy; urgency=low

  * New upstream release
  * Initial package, split from kdenetwork
  * Break/replace krdc for moved file
  * Recommend freerdp-x11 (not rdesktop)

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 21 Jun 2013 02:20:39 +0100

=== debian/control ===
Source: krdc
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.11.2),
 libvncserver-dev (>= 0.9.8.1),
 libtelepathy-qt4-dev,
Standards-Version: 3.9.4
Homepage: http://www.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/krdc
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/krdc

Package: krdc
Section: net
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: freerdp-x11
Suggests: khelpcenter4, krfb
Replaces: krfb (<< 4:4.10.80)
Breaks: krfb (<< 4:4.10.80)
Description: Remote Desktop Connection client
 The KDE Remote Desktop Connection client can view and control a desktop
 session running on another system.  It can connect to Windows Terminal Servers
 using RDP and many other platforms using VNC/RFB.
 .
 This package is part of the KDE networking module.

Package: krdc-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, kde-runtime-dbg, krdc (= ${binary:Version})
Recommends: kde-workspace-dbg
Breaks: kdenetwork-dbg
Replaces: kdenetwork-dbg
Description: debugging symbols for krdc
 This package contains debugging files used to investigate problems with
 binaries included in krdc.

## krdc 4.11.3

=== debian/changelog ===
krdc (4:4.11.3-0ubuntu0.1) saucy; urgency=low

  * New upstream bugfix release (LP: #1247235)

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 29 Nov 2013 16:01:02 +0000

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.11.2),
+ kdelibs5-dev (>= 4:4.11.3),
  libvncserver-dev (>= 0.9.8.1),
  libtelepathy-qt4-dev,
 Standards-Version: 3.9.4
 Homepage: http://www.kde.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/krdc
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/krdc
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/krdc-13.10
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/krdc-13.10
 
 Package: krdc
 Section: net

## krdc 4.12.3

=== debian/changelog ===
krdc (4:4.12.3-0ubuntu1~ubuntu12.04.4~ppa1) precise; urgency=low

  * precise backport

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 06 Mar 2014 15:44:10 +0100

krdc (4:4.12.3-0ubuntu1~ubuntu14.04~ppa1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 28 Feb 2014 21:03:27 +0100

krdc (4:4.12.2-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 05 Feb 2014 00:11:12 +0000

krdc (4:4.12.1-0ubuntu1) trusty; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 16 Jan 2014 08:26:28 +0000

krdc (4:4.12.0-0ubuntu1) trusty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Dec 2013 17:21:01 +0000

krdc (4:4.11.97-0ubuntu1) trusty; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 29 Nov 2013 13:21:01 +0000

krdc (4:4.11.95-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 25 Nov 2013 18:18:16 +0100

krdc (4:4.11.80-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sat, 23 Nov 2013 17:47:42 +0100

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.11.3),
+ kdelibs5-dev (>= 4:4.12.3),
  libvncserver-dev (>= 0.9.8.1),
  libtelepathy-qt4-dev,
 Standards-Version: 3.9.4
 Homepage: http://www.kde.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/krdc-13.10
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/krdc-13.10
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/krdc
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/krdc
 
 Package: krdc
 Section: net

## krdc 4.13.0

=== debian/changelog ===
krdc (4:4.13.0-0ubuntu1) trusty; urgency=medium

  * New upstream KDE Software Compilation release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Apr 2014 22:12:26 +0100

krdc (4:4.12.97-0ubuntu1) trusty; urgency=medium

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 02 Apr 2014 11:37:53 +0200

krdc (4:4.12.95-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 23 Mar 2014 12:38:51 +0100

krdc (4:4.12.90-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Mar 2014 11:09:38 +0000

krdc (4:4.12.3-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Mar 2014 20:58:56 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.12.3),
+ kdelibs5-dev (>= 4:4.13.0),
  libvncserver-dev (>= 0.9.8.1),
  libtelepathy-qt4-dev,
 Standards-Version: 3.9.4

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

.PHONY: override_dh_auto_test

override_dh_strip:
	$(overridden_command) --dbg-package=krdc-dbg

=== debian/watch ===
version=3
ftp://ftp.kde.org/pub/kde/stable/([\d\.]*)/src/krdc-([\d\.]*).tar.xz

## krdc 4.14.1

=== debian/changelog ===
krdc (4:4.14.1-1) unstable; urgency=medium

  * New upstream release (4.14.1).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 17 Sep 2014 09:44:35 +0200

krdc (4:4.13.1-3) unstable; urgency=medium

  * Fix previous patch

 -- Maximiliano Curia <maxy@debian.org>  Thu, 28 Aug 2014 19:46:53 +0200

krdc (4:4.13.1-2) unstable; urgency=medium

  * New patch: fix_kfreebsd_ftbfs (Closes: #754687)

 -- Maximiliano Curia <maxy@debian.org>  Tue, 26 Aug 2014 23:36:50 +0200

krdc (4:4.13.1-1) unstable; urgency=medium

  [ Adrien Grellier ]
  * drop rdesktop recommends, as freerdp-x11 is now mandatory
  for rdp connexions (Closes: #731395)

  [ Maximiliano Curia ]
  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 23 May 2014 18:26:56 +0200

krdc (4:4.12.4-1) unstable; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Provide a dbg package (Closes: #740294).

  [ Maximiliano Curia ]
  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Apr 2014 12:23:56 +0200

krdc (4:4.12.2-1) experimental; urgency=medium

  * Bump Standards-Version to 3.9.5, no changes needed.
  * New upstream release.
  * Bump kde-sc-dev-latest build dependency.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 10 Feb 2014 11:31:36 +0100

krdc (4:4.11.3-1) unstable; urgency=low

  * New upstream release.
  * Update build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Sun, 10 Nov 2013 11:02:20 +0100

krdc (4:4.11.2-1) experimental; urgency=low

  * First release of kdenetwork after being split by upstream.
  * Add cmake license to debian/copyright.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 09 Oct 2013 14:09:23 +0200

=== debian/control ===
Source: krdc
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev (>= 4:4.11),
               libtelepathy-qt4-dev (>= 0.9),
               libvncserver-dev (>= 0.9.8.1),
               pkg-kde-tools (>= 0.12)
Standards-Version: 3.9.5
Homepage: http://www.kde.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/krdc.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/krdc.git

Package: krdc
Section: net
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: freerdp-x11 (>= 1.0.2)
Suggests: khelpcenter4, krfb
Description: Remote Desktop Connection client
 The KDE Remote Desktop Connection client can view and control a desktop
 session running on another system.  It can connect to Windows Terminal Servers
 using RDP and many other platforms using VNC/RFB.
 .
 This package is part of the KDE networking module.

Package: krdc-dbg
Section: debug
Architecture: any
Priority: extra
Depends: krdc (= ${binary:Version}), ${misc:Depends}
Description: Remote Desktop Connection client debugging symbols
 The KDE Remote Desktop Connection client can view and control a desktop
 session running on another system.  It can connect to Windows Terminal Servers
 using RDP and many other platforms using VNC/RFB.
 .
 This package provides the debugging symbols for krdc and is part of the KDE
 networking module.

=== debian/watch ===
version=3
http://download.kde.org/stable/([\d.]+)/src/krdc-([\d.]+).tar.xz

## krdc 4.14.2

=== debian/changelog ===
krdc (4:4.14.2-0ubuntu1~ubuntu14.04~ppa1) trusty; urgency=medium

  * trusty backport

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 14 Oct 2014 16:56:42 +0200

krdc (4:4.14.2-0ubuntu1~ubuntu14.10~ppa1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 05:58:21 -0700

krdc (4:4.14.1-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Mon, 22 Sep 2014 17:29:18 +0200

krdc (4:4.14.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Aug 2014 13:20:26 +0200

krdc (4:4.13.97-0ubuntu1) utopic; urgency=medium

  * New upstream beta release RC

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 01 Aug 2014 17:03:52 +0200

krdc (4:4.13.95-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 30 Jul 2014 18:30:15 +0200

krdc (4:4.13.90-0ubuntu1) utopic; urgency=medium

  [ Scarlett Clark ]
  * New upstream beta release

  [ Jonathan Riddell ]
  * bring back debian/not-installed

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 24 Jul 2014 23:24:03 +0200

krdc (4:4.13.2-0ubuntu1) utopic; urgency=medium

  * New upstream release
  * Merge with Debian, no changes

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 17 Jun 2014 10:41:57 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: krdc
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>,
            Fathi Boudra <fabo@debian.org>,
            Modestas Vainius <modax@debian.org>,
@@ -10,15 +11,17 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
-               kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.11),
+               kde-sc-dev-latest (>= 4:4.11),
+               kdelibs5-dev (>= 4:4.14.2),
                libtelepathy-qt4-dev (>= 0.9),
                libvncserver-dev (>= 0.9.8.1),
                pkg-kde-tools (>= 0.12)
 Standards-Version: 3.9.5
 Homepage: http://www.kde.org/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/krdc.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/krdc.git
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/krdc
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/krdc
+X-Debian-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/krdc.git
+X-Debian-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/krdc.git
 
 Package: krdc
 Section: net

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_auto_install:
	$(overridden_command) --destdir=debian/tmp

override_dh_strip:
	dh_strip --dbg-package=krdc-dbg

## krdc 14.12.3

=== debian/changelog ===
krdc (4:14.12.3-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 13 Mar 2015 13:45:19 -0700

krdc (4:14.12.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 10 Feb 2015 08:17:33 -0800

krdc (4:14.12.0-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Remove kdelibs5-dev depend version as there was not a new release.

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 15 Dec 2014 16:03:52 +0100

krdc (4:14.11.97-0ubuntu1) vivid; urgency=medium

  * New upstream RC release
  * Merge with Debian, remaning changes:
   - not-installed

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 28 Nov 2014 19:23:43 +0100

krdc (4:4.14.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 05:58:21 -0700

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: krdc
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>,
            Fathi Boudra <fabo@debian.org>,
            Modestas Vainius <modax@debian.org>,
@@ -11,24 +10,22 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
-               kde-sc-dev-latest (>= 4:4.11),
-               kdelibs5-dev (>= 4:4.14.2),
+               kde-sc-dev-latest (>= 4:4.12),
+               kdelibs5-dev,
                libtelepathy-qt4-dev (>= 0.9),
                libvncserver-dev (>= 0.9.8.1),
                pkg-kde-tools (>= 0.12)
 Standards-Version: 3.9.5
 Homepage: http://www.kde.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/krdc
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/krdc
-X-Debian-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/krdc.git
-X-Debian-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/krdc.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/krdc.git/
+Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/krdc.git
 
 Package: krdc
 Section: net
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: freerdp-x11 (>= 1.0.2)
-Suggests: khelpcenter4, krfb
+Suggests: khelpcenter, krfb
 Description: Remote Desktop Connection client
  The KDE Remote Desktop Connection client can view and control a desktop
  session running on another system.  It can connect to Windows Terminal Servers

## krdc 15.08.2

=== debian/changelog ===
krdc (4:15.08.2-0ubuntu2) wily; urgency=medium

  * Recommend kde-baseapps-bin for keditbookmarks

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Oct 2015 17:04:40 +0100

krdc (4:15.08.2-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 12:41:10 +0100

krdc (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 17:17:44 +0100

krdc (4:15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 26 Aug 2015 17:35:17 +0100

krdc (4:15.07.90-0ubuntu1) wily; urgency=medium

  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 10:52:18 +0100

krdc (4:15.04.2-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * New upstream release
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Jun 2015 19:18:11 +0200

krdc (4:14.12.3-0ubuntu2) wily; urgency=medium

  * No change rebuild for libvncclient1

 -- Micah Gersten <micahg@ubuntu.com>  Thu, 04 Jun 2015 11:45:37 -0500

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                libtelepathy-qt4-dev (>= 0.9),
                libvncserver-dev (>= 0.9.8.1),
                pkg-kde-tools (>= 0.12)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.kde.org/
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/krdc.git/
 Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/krdc.git
@@ -24,7 +24,7 @@
 Section: net
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Recommends: freerdp-x11 (>= 1.0.2)
+Recommends: freerdp-x11 (>= 1.0.2), kde-baseapps-bin
 Suggests: khelpcenter, krfb
 Description: Remote Desktop Connection client
  The KDE Remote Desktop Connection client can view and control a desktop

## krdc 15.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,4 @@
+cmake_minimum_required(VERSION 2.8.9)
 project(krdc)
 
 if(NOT INSIDE_KDENETWORK)

=== debian/changelog ===
krdc (4:15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 15:44:42 -0700

krdc (4:15.12.1-0ubuntu1) xenial; urgency=medium

  * Merged with Debian
  * New upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 09 Mar 2016 11:01:18 +0100

krdc (4:15.12.0-1) experimental; urgency=medium

  * New upstream release (15.12.0).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:22:24 +0100

krdc (4:15.08.0-1) unstable; urgency=medium

  * New upstream release (15.04.0).
  * New upstream release (15.04.1).
  * New upstream release (15.08.0).

 -- Maximiliano Curia <maxy@debian.org>  Sat, 19 Sep 2015 19:11:01 +0200

krdc (4:14.12.2-1) experimental; urgency=medium

  * Prepare Debian release.
  * Bump Standards-Version to 3.9.6, no changes needed.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 19 Feb 2015 11:28:54 +0100

=== debian/control ===
Source: krdc
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.9~),
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev,
               libtelepathy-qt4-dev (>= 0.9),
               libvncserver-dev (>= 0.9.8.1),
               pkg-kde-tools (>= 0.12)
Standards-Version: 3.9.6
Homepage: http://www.kde.org/
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/krdc.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/krdc.git

Package: krdc
Section: net
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: freerdp-x11 (>= 1.0.2), kde-baseapps-bin
Suggests: khelpcenter, krfb
Description: Remote Desktop Connection client
 The KDE Remote Desktop Connection client can view and control a desktop
 session running on another system.  It can connect to Windows Terminal Servers
 using RDP and many other platforms using VNC/RFB.
 .
 This package is part of the KDE networking module.

=== debian/rules ===
--- 
+++ 
@@ -6,4 +6,4 @@
 	$(overridden_command) --destdir=debian/tmp
 
 override_dh_strip:
-	dh_strip --dbg-package=krdc-dbg
+	dh_strip --ddeb-migration='krdc-dbg (<= 4:15.12.0-1~~)'

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/krdc-([\d.]+).tar.xz
http://download.kde.org/unstable/applications/([\d.]+)/src/krdc-([\d.]+).tar.xz

## krdc 16.04.3

=== debian/changelog ===
krdc (4:16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release.
  * Debian merge: no remaining changes. 

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Clive Johnston ]
  * New upstream release, bugfix 16.04.1
  * Updated patch fix_kfreebsd_ftbfs, sourced from Debian Repo
  * Adding new build deps
  * Fixing install files
  * Merged with Debian
  * Adding kdoctools-dev as build dep
  * Fixing install file
  * Adding extra .h files to not-installed
  * Changing format of not-installed file

  [ Rik Mills ]
  * Use new debian-qt-kde.mk for KF5 - fixes missing files

  [ Clive Johnston ]
  * New upstream release (16.04.2)

  [ Rik Mills ]
  * Build with rdp support

  [ Clive Johnston ]
  * New upstream release (16.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:36:09 +0200

krdc (4:16.04.0-1~1.gbp8d3dfc) UNRELEASED; urgency=medium

  ** SNAPSHOT build @8d3dfc17267a9a9355c337aa14b400bee5b2a214 **

  * Bump Standards-Version to 3.9.8
  * Update build-deps and deps with the info from cmake
  * Refresh patches

 -- Automatic packaging <maxy+jenkins@gnuservers.com.ar>  Thu, 21 Apr 2016 01:23:25 +0200

=== debian/control ===
--- 
+++ 
@@ -8,17 +8,28 @@
            George Kiagiadakis <kiagiadakis.george@gmail.com>,
            Eshat Cakar <info@eshat.de>,
            Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake (>= 2.8.9~),
+Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev,
-               libtelepathy-qt4-dev (>= 0.9),
+               extra-cmake-modules (>= 5.24.0~),
+               kdoctools-dev (>= 5.24.0~),
+               libkf5bookmarks-dev (>= 5.24.0~),
+               libkf5completion-dev (>= 5.24.0~),
+               libkf5config-dev (>= 5.24.0~),
+               libkf5dnssd-dev (>= 5.24.0~),
+               libkf5i18n-dev (>= 5.24.0~),
+               libkf5iconthemes-dev (>= 5.24.0~),
+               libkf5kcmutils-dev (>= 5.24.0~),
+               libkf5notifications-dev (>= 5.24.0~),
+               libkf5notifyconfig-dev (>= 5.24.0~),
+               libkf5wallet-dev (>= 5.24.0~),
+               libkf5widgetsaddons-dev (>= 5.24.0~),
+               libkf5xmlgui-dev (>= 5.24.0~),
                libvncserver-dev (>= 0.9.8.1),
                pkg-kde-tools (>= 0.12)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://www.kde.org/
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/krdc.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/krdc.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krdc
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krdc
 
 Package: krdc
 Section: net

## krdc 16.08.3

=== debian/changelog ===
krdc (4:16.08.3-1) unstable; urgency=medium

  * New upstream release (16.08.3)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 23 Nov 2016 21:15:53 +0100

krdc (4:16.08.2-1) unstable; urgency=medium

  * New upstream release (16.08.2)

 -- Maximiliano Curia <maxy@debian.org>  Tue, 18 Oct 2016 09:27:35 +0200

krdc (4:16.04.2-1) unstable; urgency=medium

  * New upstream release

 -- Maximiliano Curia <maxy@debian.org>  Thu, 23 Jun 2016 09:42:51 +0200

krdc (4:16.04.1-2) unstable; urgency=medium

  * Build with rdp support.
    Thanks to Zhang Jingqiang for reporting and suggesting a fix
    (Closes: 825468)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 01 Jun 2016 19:25:37 +0200

krdc (4:16.04.1-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8
  * Update build-deps and deps with the info from cmake
  * Refresh patches

  [ Maximiliano Curia ]
  * Replace the "Historical name" ddeb-migration by its "Modern, clearer" replacement dbgsym-migration.
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * Drop kde4 build deps
  * Update install files
  * Use the newer debian-qt-kde.mk
  * Update install file

 -- Maximiliano Curia <maxy@debian.org>  Thu, 26 May 2016 11:04:17 +0200

=== debian/control ===
Source: krdc
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules,
               libkf5bookmarks-dev,
               libkf5completion-dev,
               libkf5config-dev,
               libkf5dnssd-dev,
               libkf5i18n-dev,
               libkf5iconthemes-dev,
               libkf5kcmutils-dev,
               libkf5notifications-dev,
               libkf5notifyconfig-dev,
               libkf5wallet-dev,
               libkf5widgetsaddons-dev,
               libkf5xmlgui-dev,
               libvncserver-dev (>= 0.9.8.1),
               pkg-kde-tools (>= 0.12)
Standards-Version: 3.9.8
Homepage: http://www.kde.org/
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/krdc.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/krdc.git

Package: krdc
Section: net
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: freerdp-x11 (>= 1.0.2)
Suggests: khelpcenter, krfb
Description: Remote Desktop Connection client
 The KDE Remote Desktop Connection client can view and control a desktop
 session running on another system.  It can connect to Windows Terminal Servers
 using RDP and many other platforms using VNC/RFB.
 .
 This package is part of the KDE networking module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_auto_configure:
	$(overridden_command) -- -DHAVE_XFREERDP=true

override_dh_auto_install:
	$(overridden_command) --destdir=debian/tmp

override_dh_strip:
	dh_strip --dbgsym-migration='krdc-dbg (<= 4:15.12.0-1~~)'

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/krdc-([\d.]+).tar.xz

## krdc 16.12.3

=== debian/changelog ===
krdc (4:16.12.3-0ubuntu1) zesty; urgency=low

  [ Darin Miller ]
  * New upstream release (16.12.2)

  [ José Manuel Santamaría Lema ]
  * New upstream release (16.12.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 10 Mar 2017 21:30:42 +0000

krdc (4:16.12.1-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * Update build deps to use new KF5 style names
  * New upstream release (16.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 19 Jan 2017 16:19:39 +0000

=== debian/control ===
Source: krdc
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libkf5bookmarks-dev (>= 5.31.0~),
               libkf5completion-dev (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5dnssd-dev (>= 5.31.0~),
               libkf5doctools-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5kcmutils-dev (>= 5.31.0~),
               libkf5notifications-dev (>= 5.31.0~),
               libkf5notifyconfig-dev (>= 5.31.0~),
               libkf5wallet-dev (>= 5.31.0~),
               libkf5widgetsaddons-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               libvncserver-dev (>= 0.9.8.1),
               pkg-kde-tools (>= 0.12)
Standards-Version: 3.9.8
Homepage: http://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krdc
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krdc

Package: krdc
Section: net
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: freerdp-x11 (>= 1.0.2), kde-baseapps-bin
Suggests: khelpcenter, krfb
Description: Remote Desktop Connection client
 The KDE Remote Desktop Connection client can view and control a desktop
 session running on another system.  It can connect to Windows Terminal Servers
 using RDP and many other platforms using VNC/RFB.
 .
 This package is part of the KDE networking module.

## krdc 17.04.3

=== debian/changelog ===
krdc (4:17.04.3-0ubuntu1) artful; urgency=medium

  [ Clive Johnston ]
  * Bumping lib so version

  [ José Manuel Santamaría Lema ]
  * New upstream release (17.04.1)
  * Install translations and add Breaks/Replaces against kde-l10n
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 18 Aug 2017 08:35:15 +0100

=== debian/control ===
--- 
+++ 
@@ -37,6 +37,8 @@
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: freerdp-x11 (>= 1.0.2), kde-baseapps-bin
 Suggests: khelpcenter, krfb
+Breaks: ${kde-l10n:all}
+Replaces: ${kde-l10n:all}
 Description: Remote Desktop Connection client
  The KDE Remote Desktop Connection client can view and control a desktop
  session running on another system.  It can connect to Windows Terminal Servers

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,9 @@
 #!/usr/bin/make -f
 
+l10npkgs_firstversion_ok := 4:17.03.90-0~
+
 include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
+include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk
 
 override_dh_auto_configure:
 	$(overridden_command) -- -DHAVE_XFREERDP=true

## krdc 17.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)
project(krdc)

set (KDE_APPLICATIONS_VERSION_MAJOR "17")
set (KDE_APPLICATIONS_VERSION_MINOR "12")
set (KDE_APPLICATIONS_VERSION_MICRO "3")

set (KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")

find_package(ECM REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

find_package(KF5 REQUIRED COMPONENTS
    Config
    KCMUtils
    DNSSD
    NotifyConfig
    Notifications
    Bookmarks
    IconThemes
    XmlGui
    Completion
    Wallet
    WidgetsAddons
    NotifyConfig
    I18n
)

find_package(KF5DocTools)

include(ECMSetupVersion)
include(ECMQtDeclareLoggingCategory)
include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(FeatureSummary)

# use sane compile flags
add_definitions(
  -DQT_USE_QSTRINGBUILDER
  -DQT_NO_CAST_TO_ASCII
  -DQT_NO_CAST_FROM_ASCII
  -DQT_STRICT_ITERATORS
  -DQT_NO_URL_CAST_FROM_STRING
  -DQT_NO_CAST_FROM_BYTEARRAY
  -DQT_NO_SIGNALS_SLOTS_KEYWORDS
  -DQT_USE_FAST_OPERATOR_PLUS
)
ecm_setup_version(${KDE_APPLICATIONS_VERSION}
    VARIABLE_PREFIX KRDC
    SOVERSION 5
    VERSION_HEADER krdc_version.h
)

if(WIN32)
    set(CMAKE_REQUIRED_LIBRARIES ${KDEWIN32_LIBRARIES})
    set(CMAKE_REQUIRED_INCLUDES  ${KDEWIN32_INCLUDES})
endif(WIN32)
add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR})

set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH})

find_package(LibVNCServer)
set_package_properties("libvncserver" PROPERTIES
    DESCRIPTION "VNC server / client library"
    URL "http://libvncserver.sourceforge.net/"
    PURPOSE "Needed to build VNC client support in KRDC"
)

# Needs porting
FIND_PROGRAM(FREERDP_EXECUTABLE xfreerdp)
if(FREERDP_EXECUTABLE)
    set(FREERDP_EXECUTABLE_FOUND true)
endif(FREERDP_EXECUTABLE)

set_package_properties("freerdp" PROPERTIES
        DESCRIPTION "A free Remote Desktop Protocol (RDP) Implementation"
        URL "http://www.freerdp.com"
        PURPOSE "Needed for RDP support in KRDC (at runtime)"
                                     )
# NX support is not ready for KDE 4.2; disabled (uwolfer)
# macro_optional_find_package(LibNXCL)
# macro_log_feature(LIBNXCL_FOUND "libnxcl" "NX X compression client library" "http://svn.berlios.de/svnroot/repos/freenx/trunk/freenx-client/nxcl/" FALSE "1.0" "Needed to build Krdc with NX support")

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/core/
    ${CMAKE_CURRENT_BINARY_DIR}/core/
    ${CMAKE_CURRENT_BINARY_DIR}
)

add_subdirectory(core)
add_subdirectory(vnc)
add_subdirectory(nx)
add_subdirectory(rdp)
add_subdirectory(test)

if(KF5DocTools_FOUND)
    add_subdirectory(doc)
else()
    message("KF5DocTools not found. Not building documentation.")
endif()

add_definitions(-DBUILD_ZEROCONF)

set(krdc_SRCS
    config/hostpreferenceslist.cpp
    config/preferencesdialog.cpp
    floatingtoolbar.cpp
    bookmarkmanager.cpp
    connectiondelegate.cpp
    remotedesktopsmodel.cpp
    systemtrayicon.cpp
    tabbedviewwidget.cpp
    mainwindow.cpp
    main.cpp
)

ki18n_wrap_ui(krdc_SRCS
    config/general.ui
)

ecm_qt_declare_logging_category(krdc_SRCS HEADER krdc_debug.h IDENTIFIER KRDC CATEGORY_NAME KRDC)

add_executable(krdc ${krdc_SRCS})

target_link_libraries(krdc
    KF5::ConfigCore
    KF5::KCMUtils
    KF5::DNSSD
    KF5::NotifyConfig
    KF5::Bookmarks
    KF5::IconThemes
    KF5::XmlGui
    KF5::Completion
    KF5::WidgetsAddons
    KF5::NotifyConfig
    KF5::Notifications
    krdccore
)

install(TARGETS krdc ${INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES krdcui.rc DESTINATION ${KXMLGUI_INSTALL_DIR}/krdc)
install(PROGRAMS org.kde.krdc.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
install(FILES pointcursor.png pointcursormask.png DESTINATION ${DATA_INSTALL_DIR}/krdc/pics)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)
if (KF5DocTools_FOUND)
 kdoctools_install(po)
endif()

=== debian/changelog ===
krdc (4:17.12.3-0ubuntu2) bionic; urgency=medium

  * Sync changes from debian's 17.08.3-1: Remaining changes
    - Kubuntu VCS fields
    - l10n breaks/replaces to suit Kubuntu version history

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 19 Mar 2018 14:25:11 +0000

krdc (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:30:07 +0000

krdc (4:17.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 22 Feb 2018 17:00:00 +0000

krdc (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:09:10 +0000

=== debian/control ===
Source: krdc
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules,
               libkf5bookmarks-dev,
               libkf5completion-dev,
               libkf5config-dev,
               libkf5dnssd-dev,
               libkf5doctools-dev,
               libkf5i18n-dev,
               libkf5iconthemes-dev,
               libkf5kcmutils-dev,
               libkf5notifications-dev,
               libkf5notifyconfig-dev,
               libkf5wallet-dev,
               libkf5widgetsaddons-dev,
               libkf5xmlgui-dev,
               libvncserver-dev (>= 0.9.8.1),
               pkg-kde-tools (>= 0.12),
Standards-Version: 4.1.1
Homepage: http://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krdc
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krdc

Package: krdc
Section: net
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: freerdp-x11 (>= 1.0.2)
Suggests: khelpcenter, krfb
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: Remote Desktop Connection client
 The KDE Remote Desktop Connection client can view and control a desktop
 session running on another system.  It can connect to Windows Terminal Servers
 using RDP and many other platforms using VNC/RFB.
 .
 This package is part of the KDE networking module.
